Skip to main content
GET
/
sections
/
{section_id}
/
groups
/
{group_id}
Get Group
curl --request GET \
  --url https://api.partoo.co/v2/sections/{section_id}/groups/{group_id} \
  --header 'x-APIKey: <api-key>'
import requests

url = "https://api.partoo.co/v2/sections/{section_id}/groups/{group_id}"

headers = {"x-APIKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};

fetch('https://api.partoo.co/v2/sections/{section_id}/groups/{group_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": 1,
  "name": "France",
  "has_puller": true,
  "business_ids": [
    "a1f0e2d3b4c5e6f7a8b9c0d1",
    "3f2e1d4c5b6a7f8e9d0c1a2",
    "0e1d2c3b4a5f6e7d8c9a0b1"
  ]
}
{
  "errors": {
    "json": {}
  }
}
{
  "errors": {
    "authentication": "User not authenticated"
  }
}
{
  "errors": {
    "authorization": "Operation not allowed"
  }
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

section_id
integer
required

Section ID

group_id
integer
required

Group ID

Response

OK

id
integer

ID of the group

Example:

1

name
string

Name of the group, must be unique

Example:

"France"

has_puller
boolean

If the group is linked to a puller. If so, it's not possible to delete the group. Should you want to make any changes to a group connected to a puller, please contact support for assistance.

business_ids
string[]

list of business ids in the group

Business id

Example:
[
  "a1f0e2d3b4c5e6f7a8b9c0d1",
  "3f2e1d4c5b6a7f8e9d0c1a2",
  "0e1d2c3b4a5f6e7d8c9a0b1"
]